Swagger-Parser和swagger-codegen 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1131629 漏洞类型 代码问题
发布时间 2017-11-22 更新时间 2019-10-23
CVE编号 CVE-2017-1000208 CNNVD-ID CNNVD-201711-764
漏洞平台 N/A CVSS评分 6.8
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201711-764
|漏洞详情
Swagger-Parser是一个Swagger(跨语言REST API接口)解析器。swagger-codegen是一款API开发工具。 Swagger-Parser 1.0.30及之前的版本和swagger-codegen 2.2.2及之前的版本中存在安全漏洞。攻击者可利用该漏洞执行任意代码。
|参考资料

来源:CONFIRM
链接:https://github.com/swagger-api/swagger-parser/releases/tag/v1.0.31